Piso Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Floor and the translation is 16% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Rebar.svg Rebar

Arch Floor.svg Arch Floor

Localização do menu
Arch → Floor
Workbenches
Arch
Atalho padrão
F L
Veja também
Arch Building, Arch Site


Descrição

O piso "Arch" é um tipo especial de grupo do FreeCAD que tem algumas propriedades adicionais particularmente ajustadas aos piso dos edifícios. Em particular a propriedade altura, que os objetos nele contidos (paredes e estruturas) podem usar para definir a sua própria altura automaticamente. Estes são usados principalmente para organizar o modelo.

Starting from FreeCAD 0.18, the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Como usar

  1. Opcionalmente, selecione um ou mais objetos para serem incluídos no seu novo piso
  2. Pressione o icone Arch Floor.png Piso Arch ou pressione as teclas F e L

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add.svg Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove.svg Arch Remove tool.

Properties

An Arch Floor object shares all properties from an Arch BuildingPart, with the DATAIfc Role set to "Building Storey".

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()